//INLOAD MAIN DATA (constructed in "combine_datasets.do")
use "$root\intermediate_datasets\main_data.dta", clear 

//SET OUTPUT FOLDER
cd "$root\results\appendix_figure3"

//APPENDIX FIGURE A.3: TIMING OF INFANT AND DIGESTIVE DISEASE MORTALITY DECLINES
preserve
tsset week year

rdplot infants01 year, c(1900)  p(4) ci(95) graph_options( legend(off) xlabel("1873" "1900" "1914" "1939" "1965") graphregion(fcolor(white)) title("Infant", color(black) size(medium)) )
graph save Graph "infant", replace

rdplot digestive_all year, c(1900)  p(4) ci(95) graph_options( legend(off) xlabel("1873" "1900" "1914" "1939" "1965") graphregion(fcolor(white)) title("Digestive", color(black) size(medium)) )
graph save Graph "digestive", replace

gr combine infant.gph digestive.gph, altshrink graphregion(fcolor(white)) title("Weekly average deaths by year", color(black) size(small))
graph save Graph "Figure3a", replace
graph export "Figur3A.pdf", replace as(pdf)

erase "infant.gph"
erase "digestive.gph"
