//INLOAD MAIN DATA (constructed in "combine_datasets.do")
use "$root\intermediate_datasets\main_data.dta", clear 

//SET OUTPUT FOLDER
cd "$root\results\appendix_figure5"

//DEFINE GLOBALS FOR BASELINE TEMPERATURE BINS (LAGS/LEADS)
foreach i of numlist 1 2 3 4 5{
global F`i' temp_F`i'_q1 temp_F`i'_q2 temp_F`i'_q3 o.temp_F`i'_q4 temp_F`i'_q5 temp_F`i'_q6 temp_F`i'_q7 temp_F`i'_q8 
}
foreach i of numlist 0 1 2 3 4 5 6 7{
global L`i' temp_L`i'_q1 temp_L`i'_q2 temp_L`i'_q3 o.temp_L`i'_q4 temp_L`i'_q5 temp_L`i'_q6 temp_L`i'_q7 temp_L`i'_q8
}

//APPENDIX FIGURE A.5: DISTRIBUTION OF DIGESTIVE DEATHS ACROSS WEEKS, BY PERIOD
rdplot digestive_all week if decade_1==1 & week!=53, c(23)  p(4) ci(95) nbins(52) graph_options(legend(off) xlabel("1" "23"   "52") graphregion(fcolor(white)) title("1873-1879", color(black) size(medium)))
graph save Graph "dig_1", replace
rdplot digestive_all week if decade_1==2 & week!=53, c(23)  p(4) ci(95) nbins(52) graph_options(legend(off) xlabel("1" "23"   "52") graphregion(fcolor(white)) title("1880-1889", color(black) size(medium)))
graph save Graph "dig_2", replace
rdplot digestive_all week if decade_1==3 & week!=53, c(23)  p(4) ci(95) nbins(52) graph_options(legend(off) xlabel("1" "23"   "52") graphregion(fcolor(white)) title("1890-1899", color(black) size(medium)))
graph save Graph "dig_3", replace
rdplot digestive_all week if decade_1==4 & week!=53, c(23)  p(4) ci(95) nbins(52) graph_options(legend(off) xlabel("1" "23"   "52") graphregion(fcolor(white)) title("1900-1914", color(black) size(medium)))
graph save Graph "dig_4", replace
rdplot digestive_all week if decade_1==5 & week!=53, c(23)  p(4) ci(95) nbins(52) graph_options(legend(off) xlabel("1" "23"   "52") graphregion(fcolor(white)) title("1919-1929", color(black) size(medium)))
graph save Graph "dig_5", replace
rdplot digestive_all week if decade_1==6 & week!=53, c(23)  p(4) ci(95) nbins(52) graph_options(legend(off) xlabel("1" "23"   "52") graphregion(fcolor(white)) title("1930-1939", color(black) size(medium)))
graph save Graph "dig_6", replace
rdplot digestive_all week if decade_1==7 & week!=53, c(23)  p(4) ci(95) nbins(52) graph_options(legend(off) xlabel("1" "23"   "52") graphregion(fcolor(white)) title("1949-1965", color(black) size(medium)))
graph save Graph "dig_7", replace

gr combine dig_1.gph dig_2.gph dig_3.gph dig_4.gph dig_5.gph dig_6.gph dig_7.gph, ycom altshrink graphregion(fcolor(white)) title("Average digestive deaths by week-of-the-year and period", color(black) size(small))
graph save Graph "Figure5A", replace
graph export "Figure5A.pdf", replace as(pdf)

local variable "dig_1 dig_2 dig_3 dig_4 dig_5 dig_6 dig_7"
foreach c of local variable {
erase "`c'.gph"
}
