//INLOAD MAIN DATA (constructed in "combine_datasets.do")
use "$root\intermediate_datasets\main_data.dta", clear 

//SET OUTPUT FOLDER
cd "$root\results\appendix_table2"

//DEFINE GLOBALS FOR BASELINE TEMPERATURE BINS (LAGS/LEADS)
foreach i of numlist 1 2 3 4 5{
global F`i' temp_F`i'_q1 temp_F`i'_q2 temp_F`i'_q3 o.temp_F`i'_q4 temp_F`i'_q5 temp_F`i'_q6 temp_F`i'_q7 temp_F`i'_q8 
}
foreach i of numlist 0 1 2 3 4 5 6 7{
global L`i' temp_L`i'_q1 temp_L`i'_q2 temp_L`i'_q3 o.temp_L`i'_q4 temp_L`i'_q5 temp_L`i'_q6 temp_L`i'_q7 temp_L`i'_q8
}

//APPENDIX TABLE A.2: ESTIMATES OF THE CUMULATIVE EFFECT OF MULTIPLE HOT OR COLD WEEKS IN A ROW ON INFANT MORTALITY
xi: reghdfe lninfantdeaths $F1 $F2 $F3 $F4 $F5 $L7 $L6 $L5 $L4 $L3 $L2 $L1 $L0 high_2weeks low_2weeks  rainfall thickfog_report if year<=1914, absorb(year week)  vce(r)
estimates store pre1914_1
xi: reghdfe lninfantdeaths $F1 $F2 $F3 $F4 $F5 $L7 $L6 $L5 $L4 $L3 $L2 $L1 $L0 high_3weeks low_3weeks  rainfall thickfog_report if year<=1914, absorb(year week)  vce(r)
estimates store pre1914_2
xi: reghdfe lninfantdeaths $F1 $F2 $F3 $F4 $F5 $L7 $L6 $L5 $L4 $L3 $L2 $L1 $L0 high_4weeks low_4weeks  rainfall thickfog_report if year<=1914, absorb(year week)  vce(r)
estimates store pre1914_3

xi: reghdfe  lninfantdeaths $F1 $F2 $F3 $F4 $F5 $L7 $L6 $L5 $L4 $L3 $L2 $L1 $L0 high_2weeks low_2weeks   rainfall thickfog_report if year>=1919, absorb(year week) vce(r)
estimates store post1919_1
xi: reghdfe  lninfantdeaths $F1 $F2 $F3 $F4 $F5 $L7 $L6 $L5 $L4 $L3 $L2 $L1 $L0 high_3weeks low_3weeks   rainfall thickfog_report if year>=1919, absorb(year week) vce(r)
estimates store post1919_2
xi: reghdfe  lninfantdeaths $F1 $F2 $F3 $F4 $F5 $L7 $L6 $L5 $L4 $L3 $L2 $L1 $L0 high_4weeks low_4weeks   rainfall thickfog_report if year>=1919, absorb(year week) vce(r)
estimates store post1919_3
outreg2 [pre1914_1 pre1914_2 pre1914_3 post1919_1 post1919_2 post1919_3] using appendix_table2, replace nocons keep(high_2weeks low_2weeks high_3weeks low_3weeks high_4weeks low_4weeks) excel title("TABLE A.2: ESTIMATES OF THE CUMULATIVE EFFECT OF MULTIPLE HOT OR COLD WEEKS IN A ROW ON INFANT MORTALITY") 
