//INLOAD MAIN DATA (constructed in "combine_datasets.do")
use "$root\intermediate_datasets\main_data.dta", clear 

//SET OUTPUT FOLDER
cd "$root\results\appendix_table3"


//CONSTRUCT SUMMARY INDICATORS
drop tempL0_L7_q1 tempL0_L7_q2 tempL0_L7_q3 tempL0_L7_q5 tempL0_L7_q6 tempL0_L7_q7 tempL0_L7_q8
local variable "q1 q2 q3 q5 q6 q7 q8"
foreach c of local variable {
gen tempL0_L7_`c'=0
replace tempL0_L7_`c'=1 if temp_L0_`c'==1 | temp_L1_`c'==1 | temp_L2_`c'==1 | temp_L3_`c'==1 | temp_L4_`c'==1 | temp_L5_`c'==1 | temp_L6_`c'==1 | temp_L7_`c'==1
replace tempL0_L7_`c'=. if year==1870 & week<8
}

local variable "q1 q2 q3 q5 q6 q7 q8"
foreach c of local variable {
gen tempF1_F5_`c'=0
replace tempF1_F5_`c'=1 if temp_F1_`c'==1 | temp_F2_`c'==1 | temp_F3_`c'==1 | temp_F4_`c'==1 | temp_F5_`c'==1 
replace tempF1_F5_`c'=. if year==1939 & week>37
}


//APPENDIX TABLE A.3: ESTIMATED EFFECTS ACROSS EIGHT-WEEK WINDOWS
xi: reghdfe lntotaldeaths tempL0_L7_q1 - tempF1_F5_q8 rainfall thickfog_report if year<=1914, absorb(year week)  vce(r)
estimates store total_pre1914
xi: reghdfe  lntotaldeaths tempL0_L7_q1 - tempF1_F5_q8  rainfall thickfog_report if year>=1919, absorb(year week) vce(r)
estimates store total_post1919
xi: reghdfe lninfantdeaths tempL0_L7_q1 - tempF1_F5_q8 rainfall thickfog_report if year<=1914, absorb(year week)  vce(r)
estimates store infant_pre1914
xi: reghdfe  lninfantdeaths tempL0_L7_q1 - tempF1_F5_q8  rainfall thickfog_report if year>=1919, absorb(year week) vce(r)
estimates store infant_post1919
xi: reghdfe lnavg_imr tempL0_L7_q1 - tempF1_F5_q8 rainfall thickfog_report if year<=1914, absorb(year week)  vce(r)
estimates store lnimr_pre1914
xi: reghdfe  lnavg_imr tempL0_L7_q1 - tempF1_F5_q8  rainfall thickfog_report if year>=1919, absorb(year week) vce(r)
estimates store lnimr_post1919
xi: reghdfe avg_imr tempL0_L7_q1 - tempF1_F5_q8 rainfall thickfog_report if year<=1914, absorb(year week)  vce(r)
estimates store imr_pre1914
xi: reghdfe  avg_imr tempL0_L7_q1 - tempF1_F5_q8  rainfall thickfog_report if year>=1919, absorb(year week) vce(r)
estimates store imr_post1919
xi: reghdfe lndigestive_all tempL0_L7_q1 - tempF1_F5_q8 rainfall thickfog_report if year<=1914, absorb(year week)  vce(r)
estimates store digestive_pre1914
xi: reghdfe  lndigestive_all tempL0_L7_q1 - tempF1_F5_q8  rainfall thickfog_report if year>=1919, absorb(year week) vce(r)
estimates store digestive_post1919
outreg2 [total_pre1914 total_post1919 infant_pre1914 infant_post1919 lnimr_pre1914 lnimr_post1919 imr_pre1914 imr_post1919  digestive_pre1914 digestive_post1919] using appendix_table3, replace nocons keep(tempL0_L7_q1 tempL0_L7_q8) tex(pretty) excel title("TABLE A.3: ESTIMATED EFFECTS ACROSS EIGHT-WEEK WINDOWS") 

