
//INLOAD MAIN DATA (constructed in "combine_datasets.do")
use "$root\intermediate_datasets\COD_data.dta", clear 

//SET OUTPUT FOLDER
cd "$root\results\table_2"

//TABLE 2: EFFECT OF HIGH TEMPERATURE WEEKS ON DIFFERENT CAUSES OF DEATH BEFORE WWI
xi: reghdfe ln_age_all  tempL0_L7_q1 - tempL0_L7_q8 rainfall thickfog_report if  year<=1914 & category=="DIGESTIVE", absorb(year week) vce(r)
estimate store DIGESTIVE
xi: reghdfe ln_age_all  tempL0_L7_q1 - tempL0_L7_q8 rainfall thickfog_report if  year<=1914 & category=="BRONCHITIS", absorb(year week) vce(r)
estimate store BRONCHITIS
xi: reghdfe ln_age_all  tempL0_L7_q1 - tempL0_L7_q8 rainfall thickfog_report if  year<=1914 & category=="CANCER", absorb(year week) vce(r)
estimate store CANCER
xi: reghdfe ln_age_all  tempL0_L7_q1 - tempL0_L7_q8 rainfall thickfog_report if  year<=1914 & category=="CARDIOVASCULAR", absorb(year week) vce(r)
estimate store CARDIOV
xi: reghdfe ln_age_all  tempL0_L7_q1 - tempL0_L7_q8 rainfall thickfog_report if  year<=1914 & category=="CHILDBIRTH", absorb(year week) vce(r)
estimate store CHILDBIRTH
xi: reghdfe ln_age_all  tempL0_L7_q1 - tempL0_L7_q8 rainfall thickfog_report if  year<=1914 & category=="DIPHTHERIA", absorb(year week) vce(r)
estimate store DIPHTHERIA
xi: reghdfe ln_age_all  tempL0_L7_q1 - tempL0_L7_q8 rainfall thickfog_report if  year<=1914 & category=="HOMICIDE", absorb(year week) vce(r)
estimate store HOMICIDE
xi: reghdfe ln_age_all  tempL0_L7_q1 - tempL0_L7_q8 rainfall thickfog_report if  year<=1914 & category=="MEASLES", absorb(year week) vce(r)
estimate store MEASLES
xi: reghdfe ln_age_all  tempL0_L7_q1 - tempL0_L7_q8 rainfall thickfog_report if  year<=1914 & category=="OLD_AGE", absorb(year week) vce(r)
estimate store OLD_AGE
xi: reghdfe ln_age_all  tempL0_L7_q1 - tempL0_L7_q8 rainfall thickfog_report if  year<=1914 & category=="PNEUMONIA", absorb(year week) vce(r)
estimate store PNEUMONIA
xi: reghdfe ln_age_all  tempL0_L7_q1 - tempL0_L7_q8 rainfall thickfog_report if  year<=1914 & category=="RESPIRATORY", absorb(year week) vce(r)
estimate store RESPIRATORY 
xi: reghdfe ln_age_all  tempL0_L7_q1 - tempL0_L7_q8 rainfall thickfog_report if  year<=1914 & category=="SCARLET_FEVER", absorb(year week) vce(r)
estimate store SCARLET 
xi: reghdfe ln_age_all  tempL0_L7_q1 - tempL0_L7_q8 rainfall thickfog_report if  year<=1914 & category=="SUICIDE", absorb(year week) vce(r)
estimate store SUICIDE
xi: reghdfe ln_age_all  tempL0_L7_q1 - tempL0_L7_q8 rainfall thickfog_report if  year<=1914 & category=="TUBERCULOSIS", absorb(year week) vce(r)
estimate store TB
xi: reghdfe ln_age_all  tempL0_L7_q1 - tempL0_L7_q8 rainfall thickfog_report if  year<=1914 & category=="TYPHUS", absorb(year week) vce(r)
estimate store TYPHUS
xi: reghdfe ln_age_all  tempL0_L7_q1 - tempL0_L7_q8 rainfall thickfog_report if  year<=1914 & category=="WHOOPING_COUGH", absorb(year week) vce(r)
estimate store WHOOPING
outreg2 [DIGESTIVE BRONCHITIS CANCER CARDIOV CHILDBIRTH DIPHTHERIA HOMICIDE MEASLES OLD_AGE PNEUMONIA RESPIRATORY SCARLET SUICIDE TB TYPHUS WHOOPING] using table2, replace nocons keep(tempL0_L7_q8 tempL0_L7_q1) excel title("TABLE 2: EFFECT OF HIGH TEMPERATURE WEEKS ON DIFFERENT CAUSES OF DEATH BEFORE WWI") 
********************************************************************************

